import dynamix_sdk.base as _base


class SystemUsermanagerWhoamiResultModel(_base.BaseAPIResultModel):
    admin: bool
    bro_jwt: str
    name: str
    roles: list[str]


class SystemUsermanagerWhoamiProtocol(_base.BasePostAPIFunctionProtocol):
    def whoami(self) -> SystemUsermanagerWhoamiResultModel:
        ...
